<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Credentials">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><title>Managing Credentials</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#23-credentials/managing-credentials.html">Open topic with navigation</a>
        </p>
        <h1>Managing Credentials</h1>
        <p style="font-weight: normal;">During a credentials audit, you will be collecting sensitive data from your targets and managing it from the Manage Credentials page. The Manage Credentials page displays all the credentials that are available in a particular project and provides access to features that let you add, delete, and export credential data. The following sections will show you how you can manage credential data within a project. </p>
        <h2>Adding Credentials</h2>
        <p>To add credentials to a project, you can either manually input each credential individually or you can import a PWDump or CSV file. The following sections show you how to manually add a plaintext password, SSH key, NTLM hash, and nonreplayable hash. </p>
        <h3>Manually Entering a Password </h3>
        <p>You can manually add a password when you have a single plaintext password that you want to add to a project, such as a common default like admin/admin. If you have multiple credentials that you want to add, you should create a CSV file for them and import them into the project. Importing credentials, in that particular case, will be much more efficient.  </p>
        <ol data-mc-continue="true">
            <li value="1">From within a project, go to <b class="UISelection">Credentials &gt; Manage</b> to access the Manage Credentials area. </li>
            <li value="2">When the Manage Credentials page appears, click the <b class="UISelection">Add</b> button. <br /><br /><img src="../Resources/Images/creds/creds-add-button_392x60.png" style="width: 392;height: 60;" /><br /><br />The <b class="UISelection">Add Credentials</b> window appears and displays tabs for the three different parts of a credential: the realm, the public , and the private. You can click on any of the tabs to configure their options. <br /><br /><img src="../Resources/Images/creds/creds-add-modal_298x186.png" style="width: 298;height: 186;" /><br /></li>
            <li value="3">Click the <b class="UISelection">Private (Passwords)</b> tab. </li>
            <li value="4">Click the <b class="UISelection">Credential Type</b> dropdown and select <b class="UISelection">Plaintext Password</b>.<br /><br /><img src="../Resources/Images/creds/creds-add-plaintext_305x192.png" style="width: 305;height: 192;" /><br /></li>
            <li value="5">Enter the password in the <b class="UISelection">Password</b> field.</li>
            <li value="6">Click the <b class="UISelection">Public (Username)</b> tab and enter the username. (Optional)<br /><br /><img src="../Resources/Images/creds/creds-username_347x219.png" style="width: 347;height: 219;" /><br /><br />The username will be *BLANK* if you do not specify one. </li>
            <li value="7">Click the <b class="UISelection">Realm</b> tab and select one of the following realm types: None, Active Directory Domain, Postgres&#160;DB, DB2, or Oracle SID.(Optional) If you do not know the realm, you can use the default value of none. <br /><br /><img src="../Resources/Images/creds/creds-realm_352x222.png" style="width: 352;height: 222;" /></li>
            <li value="8">If you specified a realm type, enter its name in the <b class="UISelection">Realm Name</b> field. (Optional)<br /></li>
        </ol>
        <ol start="9">
            <li value="9">Enter tags for the credential pair. (Optional)<br /><br />To enter a tag, start typing the name of the tag you want to use in the <b class="UISelection">Tag</b> field. As you type in the search box, <span class="VariablesProductName">Metasploit Pro</span> automatically predicts the tags that may be similar to the ones you are searching for. If the tag does not exist, <span class="VariablesProductName">Metasploit Pro</span> creates it.</li>
        </ol>
        <ol data-mc-continue="true">
            <li value="10">Click <b class="UISelection">OK</b>. <br /><br />The password is added to the project and is viewable from the Manage Credentials page. </li>
        </ol>
        <h3>Manually Adding a Private SSH&#160;Key</h3>
        <ol start="1">
            <li value="1">From within a project, go to <b class="UISelection">Credentials &gt; Manage</b> to access the Manage Credentials area. </li>
            <li value="2">When the Manage Credentials page appears, click the <b class="UISelection">Add</b> button. <br /><br /><img src="../Resources/Images/creds/creds-add-button_388x60.png" style="width: 388;height: 60;" /><br /><br />The <b class="UISelection">Add Credentials</b> window appears and displays tabs for the three different parts of a credential: the realm, the public , and the private. You can click on the tabs to configure their options. <br /><br /><img src="../Resources/Images/creds/creds-add-modal_315x196.png" style="width: 315;height: 196;" /><br /></li>
            <li value="3">Click the <b class="UISelection">Private (Passwords)</b> tab. </li>
            <li value="4">Click the <b class="UISelection">Credential Type</b> dropdown and select <b class="UISelection">SSH&#160;Key</b>. <br /><br /><img src="../Resources/Images/creds/creds-ssh-key_321x201.png" style="width: 321;height: 201;" /><br /></li>
            <li value="5">Copy the contents of the private SSH&#160;key and paste it into the <b class="UISelection">SSH&#160;key</b> field. The key must start with<code> -----BEGIN RSA PRIVATE KEY-----</code> and end with <code>-----END RSA PRIVATE KEY-----</code>. <br /><br />For example, the following is valid input for an SSH private key:<br /><br /><code>-----BEGIN RSA PRIVATE KEY----- MIIBOwIBAAJBAM1zHfbSBercDZmYonRwrosFmRR2Rsz5fHr/vYouaoziM8Uv1xx7 wpLf38Y6x8P7qSbD1W8JPvlWKHRda+sXJQ8CAwEAAQJAK7M0yG9b+tzbt7QTuhjN x5xlN0kBPlBC/havxlooiV4B+7GrQVZX43SAfmBF4yk+8BLOC4YuyD21QWabfSqp wQIhAP3hKYFxanEoDb6wMBQT9WmW9UGO6QGY0S/aoCSRFW8XAiEAzypnUW0KPlvi JOh75TVdsqVMTFvAQv0fRzd0nNxH9MkCIQC6ojXS9L9dJCbGkdsmR23YC6OMaDSe eer+FOg5OXbaTQIh77aaa785oXrm5gBG7+7/dKPbmvm+z7xOkIDjjeTbaeJAiB9 keq87khM93XQID2WRWkKXF6IGAZMFpVRUtI8srMc+g== -----END RSA PRIVATE KEY-----</code><br style="mc-tag-and-class: code;" /></li>
            <li value="6">Enter tags for the SSH key. (Optional)<br /><br />To enter a tag, start typing the name of the tag you want to use in the <b class="UISelection">Tag</b> field. As you type in the search box, <span class="VariablesProductName">Metasploit Pro</span> automatically predicts the tags that may be similar to the ones you are searching for. If the tag does not exist, <span class="VariablesProductName">Metasploit Pro</span> creates it. </li>
        </ol>
        <ol data-mc-continue="true">
            <li value="7">Click the <b class="UISelection">Public (Username)</b> tab and enter the username. All SSH keys must have a username. <br /><br /><img src="../Resources/Images/creds/creds-username_322x203.png" style="width: 322;height: 203;" /><br /></li>
            <li value="8">Click <b class="UISelection">OK</b>. <br /><br />The SSH key is added to the project and is viewable from the Manage Credentials page. </li>
        </ol>
        <h3>Manually Adding an NTLM Hash</h3>
        <ol start="1">
            <li value="1">From within a project, go to <b class="UISelection">Credentials &gt; Manage</b> to access the Manage Credentials area. </li>
            <li value="2">When the Manage Credentials page appears, click the <b class="UISelection">Add</b> button. <br /><br /><img src="../Resources/Images/creds/creds-add-button_377x58.png" style="width: 377;height: 58;" /><br /><br />The <b class="UISelection">Add Credentials</b> window appears and displays tabs for the three different parts of a credential: the realm, the public , and the private. You can click on the tabs to configure their options. <br /><br /><img src="../Resources/Images/creds/creds-add-modal_295x184.png" style="width: 295;height: 184;" /><br /></li>
            <li value="3">Click the <b class="UISelection">Private (Passwords)</b> tab. </li>
            <li value="4">Click the <b class="UISelection">Credential Type</b> dropdown and select <b class="UISelection">NTLM&#160;Hash</b>.<br /><br /><img src="../Resources/Images/creds/creds-ntlm-hash_306x191.png" style="width: 306;height: 191;" /><br /></li>
            <li value="5">Copy the hash and paste it into the <b class="UISelection">NTLM&#160;Hash</b> field. <br /><br />A valid NTLM hash uses the following format:&#160;<code>&lt;LAN Manager hex digest&gt;:&lt;NT LAN Manager hex digest&gt;</code>, where each hex digest is 32 lowercase hexadecimal characters. For example, the following is a valid input for an NTLM hash: <code class="usertype">aad3b435b51404eeaad3b435b51404ee:daf8f5e499bb9da2a3ff8f2a399040be</code>. </li>
            <li value="6">Click the <b class="UISelection">Public (Username)</b> tab and enter the username. (Optional)<br /><br /><img src="../Resources/Images/creds/creds-username_315x198.png" style="width: 315;height: 198;" /><br /><br />The username will be *BLANK* if you do not specify one. </li>
            <li value="7">Click the <b class="UISelection">Realm</b> tab and select one of the following realm types: None, Domain Name, Postgres&#160;DB, DB2, or Oracle SID.(Optional)</li>
            <li value="8">If you specified a realm type and know its name, enter its name in the        <![CDATA[ ]]><b class="UISelection">Realm Name</b> field. <br /></li>
        </ol>
        <ol start="9">
            <li value="9">Enter tags for the NTLM hash. (Optional)<br /><br />To enter a tag, start typing the name of the tag you want to use in the <b class="UISelection">Tag</b> field. As you type in the search box, <span class="VariablesProductName">Metasploit Pro</span> automatically predicts the tags that may be similar to the ones you are searching for. If the tag does not exist, <span class="VariablesProductName">Metasploit Pro</span> creates it. </li>
            <li value="10">Click <b class="UISelection">OK</b>. <br /><br />The NTLM hash is added to the project and is viewable from the Manage Credentials page. </li>
        </ol>
        <h3>Manually Adding a Nonreplayable Hash</h3>
        <ol start="1">
            <li value="1">From within a project, go to <b class="UISelection">Credentials &gt; Manage</b> to access the Manage Credentials area. </li>
            <li value="2">When the Manage Credentials page appears, click the <b class="UISelection">Add</b> button. <br /><br /><img src="../Resources/Images/creds/creds-add-button_368x56.png" style="width: 368;height: 56;" /><br /><br />The <b class="UISelection">Add Credentials</b> window appears and displays tabs for the three different parts of a credential: the realm, the public , and the private. You can click on the tabs to configure their options. <br /><br /><img src="../Resources/Images/creds/creds-add-modal_302x188.png" style="width: 302;height: 188;" /> <![CDATA[ ]]><br /></li>
            <li value="3">Click the <b class="UISelection">Private (Passwords)</b> tab. </li>
            <li value="4">Click the <b class="UISelection">Credential Type</b> dropdown and select <b class="UISelection">Hash</b>.<br /><br /><img src="../Resources/Images/creds/creds-nonreplayable-hash_316x197.png" style="width: 316;height: 197;" /><br /></li>
            <li value="5">Copy the hash and paste it into the <b class="UISelection">Hash</b> field. </li>
            <li value="6">Click the <b class="UISelection">Public (Username)</b> tab and enter the username. (Optional)<br /><br /><img src="../Resources/Images/creds/creds-username_324x204.png" style="width: 324;height: 204;" /><br /><br />The username will be *BLANK* if you do not specify one. </li>
            <li value="7">Click the <b class="UISelection">Realm</b> tab and select one of the following realm types: None, Domain Name, Postgres&#160;DB, DB2, or Oracle SID.(Optional)</li>
            <li value="8">If you specified a realm type, enter its name in the <b class="UISelection">Realm Name</b> field. <br /></li>
            <li value="9">Enter tags for the hash. (Optional)<br /><br />To enter a tag, start typing the name of the tag you want to use in the <b class="UISelection">Tag</b> field. As you type in the search box, <span class="VariablesProductName">Metasploit Pro</span> automatically predicts the tags that may be similar to the ones you are searching for. If the tag does not exist, <span class="VariablesProductName">Metasploit Pro</span> creates it. </li>
            <li value="10">Click <b class="UISelection">OK</b>. <br /><br />The SSH key is added to the project and is viewable from the Manage Credentials page. </li>
        </ol>
        <h2 data-mc-conditions=""><a name="Importin"></a>Importing and Exporting Credentials </h2>
        <p data-mc-conditions="">You can import and export credentials to easily share them between projects or with other members of the organization. It is vital that this confidential information be shared responsibly, as it may contain plaintext credentials and extremely sensitive data. </p>
        <p data-mc-conditions="">Credentials can be imported in a couple of ways. You can import them as part of a workspace ZIP, which will automatically include all credentials contained in the export, as well as any other data that was part of the project. Workspace ZIP files can be imported from the Hosts or Overview page. If you only want to import credentials,  you will need to do so from the Manage Credentials page. You can import credentials that have been exported from&#160;a project or you can import a credentials list that you have manually created. </p>
        <p data-mc-conditions="">When you export credentials from a project, <span class="VariablesProductName">Metasploit Pro</span> creates a manifest file that contains the  credential data and compresses it into a ZIP file. The manifest file is a CSV file that lists every credential in the project and includes the following information for each credential: username, private type, private, realm type, realm name, host address, service port, service, and service protocol. If the project contains SSH keys,  they will be included in the exported file. Each SSH&#160;key will be mapped to its corresponding username in the manifest file.      <![CDATA[ ]]></p>
        <p data-mc-conditions="">To help you understand how you can share credentials, the following sections walk you through importing and exporting credentials. </p>
        <h3 data-mc-conditions="">Importing Credentials Exported from Other Projects</h3>
        <p data-mc-conditions="">When you export credentials from a project, <span class="VariablesProductName">Metasploit Pro</span> creates a manifest file, which is a CSV file that contains all of the project's credential data, and compresses it into a ZIP file. If you want to import credentials that have been exported from another project, you must import the workspace ZIP file. This ensures that the file contains the required header row  that <span class="VariablesProductName">Metasploit Pro</span> needs to properly import the credentials and any additional data, such as SSH keys, that are associated with the manifest file. You cannot simply import the <code>manifest.csv</code> file; the import will fail if you attempt to import a manifest file that was created by <span class="VariablesProductName">Metasploit Pro</span>. </p>
        <p class="leadin" data-mc-conditions="">To import exported credentials:</p>
        <ol>
            <li value="1" data-mc-conditions="">From within a project, go to <b class="UISelection">Credentials &gt; Manage</b> to access the Manage Credentials area. </li>
            <li value="2" data-mc-conditions="">Click the <b class="UISelection">Add</b> button. <br></br><br></br><img src="../Resources/Images/creds/creds-add-button_483x75.png" style="width: 483;height: 75;"></img><br></br><br></br>The <b class="UISelection">Add Credentials</b> window appears. </li>
            <li value="3" data-mc-conditions="">Select the <b class="UISelection">Import</b> option. <br></br><br></br><img src="../Resources/Images/creds/creds-import_321x203.png" style="width: 321;height: 203;"></img></li>
            <li value="4" data-mc-conditions="">Click the <b class="UISelection">Choose</b> button and navigate to the location of the ZIP file you want to import. <br /><br /><img src="../Resources/Images/creds/creds-import-choose_321x202.png" style="width: 321;height: 202;" /><br /></li>
            <li value="5" data-mc-conditions="">Select the file and click <b class="UISelection">Open</b>. </li>
            <li value="6" data-mc-conditions="">From the Add Credentials window, select <b class="UISelection">CSV</b> as the format. <br></br><br></br><img src="../Resources/Images/creds/creds-csv-option_319x201.png" style="width: 319;height: 201;"></img></li>
            <li value="7" data-mc-conditions="">Click the <b class="UISelection">Password Type</b> dropdown and select the type you want to assign to credentials that do not have a type defined in your import file. <br /><br />Any credential that has a private must have a type defined for it. This option lets you set the default type for any credential that has an empty type field in the import file. </li>
            <li value="8" data-mc-conditions="">Enter tags for the credential pair. (Optional)<br></br><br></br>To enter a tag, start typing the name of the tag you want to use in the <b class="UISelection">Tag</b> field. As you type in the search box, <span class="VariablesProductName">Metasploit Pro</span> automatically predicts the tags that may be similar to the ones you are searching for. If the tag does not exist, <span class="VariablesProductName">Metasploit Pro</span> creates it. </li>
        </ol>
        <ol data-mc-continue="true">
            <li value="9" data-mc-conditions="">Click <b class="UISelection">OK</b>. <br /><br />The CSV is imported into the project. You can go to the Manage Credentials page to view the imported credentials. </li>
        </ol>
        <h3 data-mc-conditions="">Importing a Manually Created Credentials File</h3>
        <p data-mc-conditions="">If you have a credentials list that you manually created, you can import it from the Manage Credentials page. The credentials file that you upload must be a CSV file that contains the following header row: <code>username,private_data</code>. </p>
        <p class="leadin" data-mc-conditions="">To import a manually created credentials file:</p>
        <ol>
            <li value="1" data-mc-conditions="">From within a project, go to <b class="UISelection">Credentials &gt; Manage</b> to access the Manage Credentials area. </li>
            <li value="2" data-mc-conditions="">Click the <b class="UISelection">Add</b> button. <br /><br /><img src="../Resources/Images/creds/creds-add-button_483x75.png" style="width: 483;height: 75;" /><br /><br />The <b class="UISelection">Add Credentials</b> window appears. </li>
            <li value="3" data-mc-conditions="">Select the <b class="UISelection">Import</b> option. <br /><br /><img src="../Resources/Images/creds/creds-import_321x203.png" style="width: 321;height: 203;" /></li>
            <li value="4" data-mc-conditions="">Click the <b class="UISelection">Choose</b> button and navigate to the location of the CSV file you want to import. <br /><br /><img src="../Resources/Images/creds/creds-import-choose_321x202.png" style="width: 321;height: 202;" /><br /><br />The CSV file must contain the following header row: <code>username,private_data</code>. <br /></li>
            <li value="5" data-mc-conditions="">Select the file and click <b class="UISelection">Open</b>. </li>
            <li value="6" data-mc-conditions="">From the Add Credentials window, select <b class="UISelection">CSV</b> as the format. <br /><br /><img src="../Resources/Images/creds/creds-csv-option_319x201.png" style="width: 319;height: 201;" /></li>
            <li value="7" data-mc-conditions="">Enter tags for the credential pair. (Optional)<br /><br />To enter a tag, start typing the name of the tag you want to use in the <b class="UISelection">Tag</b> field. As you type in the search box, <span class="VariablesProductName">Metasploit Pro</span> automatically predicts the tags that may be similar to the ones you are searching for. If the tag does not exist, <span class="VariablesProductName">Metasploit Pro</span> creates it. </li>
        </ol>
        <ol data-mc-continue="true">
            <li value="8" data-mc-conditions="">Click <b class="UISelection">OK</b>. <br /><br />The CSV is imported into the project. You can go to the Manage Credentials page to view the imported credentials. </li>
        </ol>
        <h3 data-mc-conditions="">Importing a PWDump </h3>
        <p data-mc-conditions="">A PWDump is a text file that contains credentials that have logins associated with them. The PWDump that you upload must be one that was exported from <span class="VariablesProductName">Metasploit Pro</span>. Other types of password dumps are not supported. </p>
        <p class="leadin" data-mc-conditions="">To import a PWDump:</p>
        <ol>
            <li value="1" data-mc-conditions="">From within a project, go to <b class="UISelection">Credentials &gt; Manage</b> to access the Manage Credentials area. </li>
            <li value="2" data-mc-conditions="">Click the <b class="UISelection">Add</b> button. <br /><br /><img src="../Resources/Images/creds/creds-add-button_413x63.png" style="width: 413;height: 63;" /><br /><br />The <b class="UISelection">Add Credentials</b> window appears. </li>
            <li value="3" data-mc-conditions="">Select the <b class="UISelection">Import</b> option. <br /><br /><img src="../Resources/Images/creds/creds-import_307x194.png" style="width: 307;height: 194;" /></li>
            <li value="4" data-mc-conditions="">Click the <b class="UISelection">Browse</b> button and navigate to the location of the PWDump you want to import. <br /><br /><img src="../Resources/Images/creds/creds-import-choose_313x197.png" style="width: 313;height: 197;" /><br /></li>
            <li value="5" data-mc-conditions="">Select the file and click <b class="UISelection">Open</b>. </li>
            <li value="6" data-mc-conditions="">Select the <b class="UISelection">pwdump</b> format option. <br /><br /><img src="../Resources/Images/creds/creds-pwdump_301x192.png" style="width: 301;height: 192;" /><br /></li>
            <li value="7" data-mc-conditions="">Enter tags for the credential pair. (Optional)<br /><br />To enter a tag, start typing the name of the tag you want to use in the <b class="UISelection">Tag</b> field. As you type in the search box, <span class="VariablesProductName">Metasploit Pro</span> automatically predicts the tags that may be similar to the ones you are searching for. If the tag does not exist, <span class="VariablesProductName">Metasploit Pro</span> creates it. </li>
        </ol>
        <ol data-mc-continue="true">
            <li value="8" data-mc-conditions="">Click <b class="UISelection">OK</b>. <br /><br />The PWDump is imported into the project. You can go to the Manage Credentials page to view the imported credentials. </li>
        </ol>
        <h3>Exporting All Credentials </h3>
        <p>There are a couple of ways that you can export all credential data from a project. You can do it at the project level by exporting a workspace&#160;ZIP,  will contain all of the information stored in the project, such as host data, collected evidence, and reports, as well as  a credentials folder that contains the credential data. </p>
        <p>If you only want to export credential data from the project, you can export them from the Manage Credentials page. When you export credential data, <span class="VariablesProductName">Metasploit Pro</span> creates the manifest file and automatically compresses it into a ZIP file for you, which enables you to import the file with no additional changes. </p>
        <p class="leadin">To export all credentials:</p>
        <ol>
            <li value="1">From within a project, go to <b class="UISelection">Credentials &gt; Manage</b> to access the Manage Credentials area. </li>
            <li value="2">Click the <b class="UISelection">Export</b> button. </li>
            <li value="3">Enter a name for the file in the <b class="UISelection">File Name</b> field if you want to provide a custom name. Otherwise, you can use the auto-generated file name. <br /><br /><img src="../Resources/Images/creds/creds-export-name_272x144.png" style="width: 272;height: 144;" /></li>
            <li value="4">For the <b>Format</b> option, select CSV.<br /><br /><img src="../Resources/Images/creds/creds-export-format_280x148.png" style="width: 280;height: 148;" /></li>
            <li value="5">For the <b>Row</b> option, select All. <br /><br /><img src="../Resources/Images/creds/creds-export-row-all_288x153.png" style="width: 288;height: 153;" /></li>
            <li value="6">Click <b class="UISelection">OK</b> to begin the export. <br /><br />The export will automatically begin. Your system may prompt you to save the file if it is not configured for automatic downloads. </li>
        </ol>
        <h3>Exporting Select Credentials </h3>
        <p>You can export specific credentials from a project from the Manage Credentials page.      <![CDATA[ ]]></p>
        <ol>
            <li value="1">From within a project, go to <b class="UISelection">Credentials &gt; Manage</b> to access the Manage Credentials area. </li>
            <li value="2">Select the credentials that you want to export.<br /><br /><img src="../Resources/Images/creds/creds-export-select-creds_406x85.png" style="width: 406;height: 85;" /><br /></li>
            <li value="3">Click the <b class="UISelection">Export</b> button. <br /><br /><img src="../Resources/Images/creds/creds-export-button-select_410x86.png" style="width: 410;height: 86;" /></li>
            <li value="4">Enter a name for the file in the <b class="UISelection">File Name</b> field if you want to provide a custom name. Otherwise, you can use the auto-generated file name. <br /><br /><img src="../Resources/Images/creds/creds-export-select-creds-filename_234x127.png" style="width: 234;height: 127;" /><br /></li>
            <li value="5">For the <b>Format</b> option, choose CSV.<br /><br /><img src="../Resources/Images/creds/creds-select-creds-format_228x124.png" style="width: 228;height: 124;" /><br /><br /></li>
            <li value="6">For the <b>Row</b> option, choose Selected. <br /><br /><img src="../Resources/Images/creds/creds-select-creds-row_222x121.png" style="width: 222;height: 121;" /><br /><br /></li>
            <li value="7">Click <b class="UISelection">OK</b> to begin the export. <br /><br />The export will automatically begin. Your system may prompt you to save the file if it is not configured for automatic downloads. </li>
        </ol>
        <h3>Exporting a PWDump</h3>
        <p>A PWDump is a <span class="VariablesProductName">Metasploit Pro</span> export type that only exports credentials that have logins. <span class="VariablesProductName">Metasploit Pro</span> exports the PWDump as a text file that can be imported into other projects. </p>
        <p class="leadin">To export a PWDump:</p>
        <ol>
            <li value="1">From within a project, go to <b class="UISelection">Credentials &gt; Manage</b> to access the Manage Credentials area. </li>
            <li value="2">Click the <b class="UISelection">Export</b> button. <br /><br /><img src="../Resources/Images/creds/creds-export-button2_387x55.png" style="width: 387;height: 55;" /></li>
            <li value="3">For the <b class="UISelection">Format</b> option, select <b class="UISelection">pwdump (logins only)</b>. <br /><br /><img src="../Resources/Images/creds/creds-export-pwdump_274x145.png" style="width: 274;height: 145;" /></li>
            <li value="4">Click <b class="UISelection">OK</b> to begin the export. <br /><br />The export will automatically begin. Your system may prompt you to save the file if it is not configured for automatic downloads. </li>
        </ol>
        <h3>Creating a Credentials CSV File to Import</h3>
        <p>You can create CSV files to import credentials into a project. For example, if you have a word list or password list that you want to add to a project, you will need to create a CSV file for those credentials. You can use a spreadsheet program, like Microsoft Excel or Google Docs, to create a CSV file. </p>
        <p>The&#160;CSV file must include the header row <code>username,private_data</code>, which defines the fields in the table. The following image shows an example of a credentials list that was created in Microsoft Excel: </p>
        <p>
            <img src="../Resources/Images/creds/creds-spreadsheet_216x127.png" style="width: 216;height: 127;" />
        </p>
        <p>As you can see, the first row contains the required header row. The subsequent rows contain the data specified by each header.  If you want to leave the username or private blank, you can leave the field empty. </p>
        <p>When you are done creating the file, you will need to save  with a .csv file extension so that you can import it into a project. For information on how to import a CSV file into a project, see<MadCap:conditionalText data-mc-conditions="Pro_Help_Conditions.OnlineOnly"> <![CDATA[ ]]><a href="#Importin" class="online MCXref xref xrefonline">Importing and Exporting Credentials </a></MadCap:conditionalText>.</p>
        <h2>Cloning and Editing Credentials</h2>
        <p>Cloning is a useful feature if you want to make a copy of a credential with some minor changes. For example, if you have a credential pair, such as <code>admin:admin</code>, you might want to add a variation, like <code>admin1:admin1</code>. The fastest way to do this would be to clone the original credential pair and tweak the public and private data for it. </p>
        <p class="Note" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span>A credential cannot be modified after you save it to a project. The only way to edit a credential is to clone and modify it.   If there are changes that you need to make to a credential, you  will need to clone the credential, edit the clone, save the clone, an delete the original credential.</p>
        <p class="leadin">To clone a credential:</p>
        <ol>
            <li value="1">From within a project, go to <b class="UISelection">Credentials &gt; Manage</b> to access the Manage Credentials area. </li>
            <li value="2">When the Manage Credentials page appears, find the row that contains the credential you want to clone. </li>
            <li value="3">Click the <b class="UISelection">Clone</b> button.<br /><br /><img src="../Resources/Images/creds/creds-clone-button_390x62.png" style="width: 390;height: 62;" /><br /><br />A duplicate of the credential is created and added to the table. Any data that you can modify is displayed in an editable field. <br /><br /><img src="../Resources/Images/creds/creds-cloned-cred_398x70.png" style="width: 398;height: 70;" /></li>
            <li value="4">Edit any of the following fields: public (username), private (password), realm, origin, or password type. You must modify one of the fields because a project cannot contain duplicates of the exact credential entry. You will not be able to save the credential unless the credential is unique. For example, you can have an two entries for admin/admin as long as either the realm or private type is different. </li>
            <li value="5">Click <b class="UISelection">Save</b> when you are done.<br /><br />The credential is added to the project and viewable from the Manage Credentials page. </li>
        </ol>
        <h2>Deleting Credentials</h2>
        <p>If there are credentials that you no longer need to store in a project, you can delete them. All deleted credentials are permanently removed from the project and cannot be recovered. </p>
        <ol>
            <li value="1">From within a project, go to <b class="UISelection">Credentials &gt; Manage</b> to access the Manage Credentials area. </li>
            <li value="2">When the Manage Credentials page appears, select the credentials you want to delete.          <br /><br /><img src="../Resources/Images/creds/creds-delete-cred_409x149.png" style="width: 409;height: 149;" /><br /></li>
            <li value="3">Click the <b class="UISelection">Delete</b> button.<br /><br /><img src="../Resources/Images/creds/creds-delete-button_410x55.png" style="width: 410;height: 55;" /><br /><br />When the confirmation window appears, click <b class="UISelection">OK</b> to delete the credentials from the workspace. The credential, including all of its logins, will be removed from the project. You must be absolutely sure that you want to delete the credential. You will not be able to restore deleted credentials. <br /><br /><img src="../Resources/Images/creds/creds-delete-confirmation_283x76.png" style="width: 283;height: 76;" /></li>
        </ol>
        <h2 data-mc-conditions="">Validating Credentials </h2>
        <p data-mc-conditions="">You can validate a login for a credential to determine whether or not the credential can be used to authenticate to a particular service. </p>
        <h2 data-mc-conditions="">Searching for Credentials </h2>
        <p data-mc-conditions="">The Credentials Management page  provides advanced searching capabilities that enable you to specify exactly where in the credentials table you want the search to look. This is particularly useful when you want to narrow the results down to a subset of data, such as a specific public or private. </p>
        <p data-mc-conditions="">The search bar for credentials is located on the Manage Credentials page, as shown below:</p>
        <p data-mc-conditions="">
            <img src="../Resources/Images/creds/creds-search_408x155.png" style="width: 408;height: 155;" />
        </p>
        <p>If you click on the Search field, a dropdown displays and shows you the search filters that are available. You will need to select a filter from the list to continue. After you select </p>
        <p>As you need type the query in the Search box, <span class="VariablesProductName">Metasploit Pro</span> automatically updates the credentials list as you type. </p>
        <p>
            <img src="../Resources/Images/creds/creds-search-auto-fill_422x76.png" style="width: 422;height: 76;" />
        </p>
        <p data-mc-conditions="">To create a search query for credentials, you need to first specify the following:</p>
        <ul>
            <li value="1" data-mc-conditions=""><b>Search operator</b> - Refers to the type of data you want to query. The search supports the following search operators: <b>public.username:</b>, <b>private.data:</b>, <b>private.type</b>,<b>realm.key</b>, <b>realm.value</b>, and <b>tags.name:</b>. </li>
            <li value="2" data-mc-conditions=""><b>Keyword</b> - Refers to the term that the search uses to find matching records. </li>
        </ul>
        <p class="SubHeading1" data-mc-conditions="">Credential Search Syntax</p>
        <p data-mc-conditions="">You must use the following syntax when searching for credentials: <code class="usertype">&lt;search operator&gt;:&lt;search term&gt;</code>. For example, if you want to find all publics that have a value of <code class="usertype">admin</code>, you can enter the following query: <code class="usertype">public.username:admin</code>. This query ensures that the search only looks in the <b class="UISelection">Public</b> column in the credentials table for the <code class="usertype">admininistrator</code> keyword and only returns credentials that have <code class="usertype">admininistrator</code> as its public value. </p>
        <p data-mc-conditions="">The following image shows the results for the query:</p>
        <p data-mc-conditions="">
            <img src="../Resources/Images/creds/creds-search-results_408x92.png" style="width: 408;height: 92;" />
        </p>
        <p class="SubHeading1" data-mc-conditions="">Credential Search Examples</p>
        <p data-mc-conditions="">The following sections provide some examples of searches that you may want to perform. </p>
        <p class="SubHeading1" data-mc-conditions="">Searching for a Public</p>
        <p data-mc-conditions="">To search for a public, your query must use the <b>public.username:</b> operator. For example, if you want to search for a specific public, enter the following query in the search field: <code class="usertype">public.username:&lt;public value&gt;</code>, where &lt;public value&gt; is replaced with the public you want query. </p>
        <p class="SubHeading1" data-mc-conditions="">Searching for a Private</p>
        <p data-mc-conditions="">To search for a private, your query must use the <b>private.data:</b> operator. For example, if you want to search for a specific private, enter the following query in the search field: <code class="usertype">private.data:&lt;private value&gt;</code>, where &lt;private value&gt; is replaced with the private you want query. </p>
        <p class="SubHeading1" data-mc-conditions="">Searching for a Private Type</p>
        <p class="SubHeading1" data-mc-conditions="">Searching for a Realm Type</p>
        <p class="SubHeading1" data-mc-conditions="">Searching for a Realm Name</p>
        <p class="SubHeading1" data-mc-conditions="">Searching for Credentials with a Specific Tag</p>
        <p data-mc-conditions="">To search for a private, your query must use the <b>tags.name:</b> operator. For example, if you want to search for a specific  tag, enter the following query in the search field: <code class="usertype">tags.name:&lt;tag name&gt;</code>, where &lt;tag name&gt; is replaced with the tag want query. </p>
        <h3 data-mc-conditions="">Filtering Credentials</h3>
        <p data-mc-conditions="">Instead of using search operators, you can use filters to narrow down the credentials list. A search filter allows you to choose the attributes of the credentials that you want to find. You can use multiple filters for more precise searches. For example, you can filter for specific publics and private types, or you can find credentials that have particular tags. </p>
        <p data-mc-conditions="">To view the filters, you need to click the <b class="UISelection">Filter</b> dropdown button, as shown below:</p>
        <p data-mc-conditions="">
            <img src="../Resources/Images/creds/creds-filter-dropdown_389x146.png" style="width: 389;height: 146;" />
        </p>
        <p>The search filters display and enable you to refine the credentials that display in the list.</p>
        <p>
            <img src="../Resources/Images/creds/creds-search-filters_396x119.png" style="width: 396;height: 119;" />
        </p>
        <p>You can apply any of the following filters:</p>
        <ul>
            <li value="1" data-mc-conditions=""><b>Validated</b> - Filters the results to only show credentials with a validated status. </li>
            <li value="2" data-mc-conditions=""><b>Username</b> - Filters the results to show credentials that contain a public that matches the search term. You can specify a space delimited list to search for multiple usernames. </li>
            <li value="3" data-mc-conditions=""><b>Password</b> - Filters the results to show credentials that contain a private that matches the search term. You can specify a spaced delimited list to search for multiple passwords. </li>
            <li value="4" data-mc-conditions=""><b>Realm</b> - Filters the results to show credentials that contain a realm that matches the realm type and realm name. You can specify a spaced delimited list to search for multiple realms names. </li>
            <li value="5" data-mc-conditions=""><b>Private type</b> - Filters the results to show credentials that match the private type selected. The private type can be plaintext password, NTLM hash, SSH key, or Non-replayable hash. You can select multiple private types. </li>
            <li value="6" data-mc-conditions=""><b>Tag</b> - Filters the results to show credentials that have the tag. You can specify a spaced delimited list to search for multiple tags. </li>
        </ul>
        <p data-mc-conditions=""><span class="VariablesProductName">Metasploit Pro</span> automatically updates the credentials list as you select and define filters. If you specify multiple search terms for a filter, <span class="VariablesProductName">Metasploit Pro</span> returns credentials that match any one of the search terms. For example, if you define the tag filters, <code class="usertype">weak-creds</code> and <code class="usertype">admin-creds</code>, the search returns any credential that has either of those tags. </p>
        <p data-mc-conditions="">If you need to reset the filters, you can click on the <b class="UISelection">Reset Filter</b> link, as shown below:</p>
        <p data-mc-conditions="">
            <img src="../Resources/Images/creds/creds-reset-filters_425x129.png" style="width: 425;height: 129;" />
        </p>
        <h3>Filtering by Credential Metadata</h3>
        <p>The single credential page shows you details for a particular credential, such as its metadata and related logins, To access the single credential page, you need to click on the private on the Manage Credentials page, as shown below:</p>
        <p>
            <img src="../Resources/Images/creds/creds-filter-scv_393x91.png" style="width: 393;height: 91;" />
        </p>
        <p>When you click on the private, the single credential page slides into view. Note that the public, private, and private type values display as links. You can click on these links to query other credentials in the project that share the same public, private, or private type. </p>
        <p>The Manage Credentials page appears and shows the results of the query. The filters will be preselected based on the type of data you queried. For example, if you are viewing the data for a public, such as administrator, you may want to see other credentials in the project that share the same public. To do this, you can simply click on the public. When the Manage Credentials page appears, you can choose additional filters to further narrow down the credentials list. </p>
        <p>
            <img src="../Resources/Images/creds/creds-filter-results_421x163.png" style="width: 421;height: 163;" />
        </p>
    </body>
</html>